<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SignedUrl extends Model
{
    use HasFactory;

    protected $fillable = [
        'signature',
        'dossier_id'
    ];

    public function typedocument()
    {
        return $this->belongsToMany(TypeDocument::class,'signedurl_typedocument');
    }
    public function dossier()
    {
        return $this->belongsTo(Dossier::class);
    }
}
